#pragma once

#include <util/generic/vector.h>
#include <util/generic/string.h>

namespace NSaasLB {

    template <class TChanges>
    class IComponent {
    public:
        virtual ~IComponent() = default;
        virtual const TChanges& GetChanges() const = 0;
        virtual void Apply(ui32 changesCount = 0) = 0;
    };

}
